summaryrefslogtreecommitdiffstats
path: root/source/a/efibootmgr/efibootmgr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/efibootmgr/efibootmgr.SlackBuild')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild32
1 files changed, 15 insertions, 17 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index cdcbcb2b4..e91b25fd9 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,11 +79,6 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
-zcat $CWD/efibootmgr-0.5.4-Remove-device-path-padding-on-non-Itanium.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/efibootmgr-0.5.4-Work-around-broken-Apple-firmware.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/efibootmgr-0.5.4-fix-disk-minor-number-discovery.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/efibootmgr-0.5.4-support-4k-sectors.patch.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -91,17 +86,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Build:
-export EXTRA_CFLAGS="$SLKCFLAGS -fgnu89-inline"
-make || exit 1
+# Set default EFI System Partition directory:
+export EFIDIR=/boot/efi
-# Install:
-mkdir -p $PKG/usr/sbin
-cp src/efibootmgr/efibootmgr $PKG/usr/sbin
-chown root:root $PKG/usr/sbin/efibootmgr
-chmod 755 $PKG/usr/sbin/efibootmgr
-mkdir -p $PKG/usr/man/man8
-cat src/man/man8/efibootmgr.8 | gzip -9c > $PKG/usr/man/man8/efibootmgr.8.gz
+# Build:
+export EXTRA_CFLAGS="$SLKCFLAGS"
+make mandir=/usr/man || exit 1
+make install mandir=/usr/man DESTDIR=$PKG || exit 1
# Strip binaries:
( cd $PKG
@@ -109,10 +100,17 @@ cat src/man/man8/efibootmgr.8 | gzip -9c > $PKG/usr/man/man8/efibootmgr.8.gz
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL README* doc/* \
+ AUTHORS COPYING* INSTALL README* TODO* \
$PKG/usr/doc/${PKGNAM}-$VERSION
mkdir -p $PKG/install